:root {
    --black: #000;
    --blue: #1e90ff;
    --white: #fff;
    --light-gray: #f5f5f5;
    --lightgray: #eee;
    --gray: #333;
    --muted: #999;
    --dark: rgba(0,0,0,0.1);
    --bd-rad: 10px;
    --shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.1), 0px 4px 5px 0px rgba(0, 0, 0, 0.1), 0px 1px 10px 0px rgba(0, 0, 0, 0.1);
    --hr-line:rgba(0, 0, 0, 0.075) 0 1px;
    --danger: #dc3545;
    --success: #198754;
    --secondary: #6c757d;
    --primary: #0d6efd;
    --warning: #ffc107;
    --info: #0dcaf0;
    --dark: #212529;
    --template: #005599;


}

.text-red {
    color: var(--danger);
}

.text-green {
    color: var(--success);
}
.text-primary {
    color: var(--primary);
}

.text-blue {
    color: var(--blue);
}

.text-gray {
    color: var(--gray)!important;
}
.text-secondary {
    color: var(--secondary);
}
.text-muted {
    color: var(--muted);
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
    margin: 50px auto;
    background-color: #f4f6fa;
}
button {
    cursor: pointer;
}
@page WordSection {
    size: A4;
}
#body {
    height: 297mm!important;
    width: 210mm!important;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
    padding: 24px;
    background-color: white;
}
p {
    font-size:0;
}
div.WordSection {
    page: WordSection;
}
table {
    border-collapse: collapse;
    width: 100%;
    padding:0;
}
@media print {
    @page { size: a4;margin: 0;}
    body {
        visibility: hidden;
        margin: 0;
    }
    #body {
        visibility: visible;
        position: absolute;
        left: 0;
        top: 0;
        margin: 0;
        box-shadow: none;
    }
    /* table tbody td span {
        color: black!important;
    } */
    td[contenteditable]::before {
        color: red!important;
    }
    .btn, #addAttach {
        display: none;
    }
    input[type="checkbox"] {
        -webkit-appearance: checkbox !important;
        appearance: checkbox !important;
        print-color-adjust: exact;
    }
}
.inputTxt {
    cursor: pointer;
}
.inputTxt:hover {
    background-color: yellow;
}
.red {
    color: red;
}
.green {
    color: green;
}
.input{
    width: 100%
}
.inputAttach {
    width: 95%
}
.btns {
    /* position: fixed; */
    /* top: 3px; */
    /* right: 2px; */
    padding-bottom: 12px;
    /* border: 1px solid #666; */
    border-radius: 4px;
    /* background-color: #f0f3f3; */
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;
    grid-gap: 10px;
    /* box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px; */
}
.w-auto {
    width: auto!important;
}
#body input[type="date"] {
    position: relative;
}
#body input[type="date"]::-webkit-calendar-picker-indicator {
    background-position: right;
    background-size: auto;
    cursor: pointer;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    width: auto;

}
.w-inherit {
    width: inherit!important;
    max-width: 100%;
    min-width: 20px;
}
input {
    height: 22px;
    font-size: 14px;
}
h1 {
    font-family: 'Arial';
    font-size: 32px;
    font-weight: bold;
}
.btnAction {
    padding: 4px 8px;
    width: 90px;
    display: flex;
    grid-gap: 6px;
    font-size: 14px;
    justify-content: center;
    height: 30px;
    border: 1px solid rgb(180, 180, 180);
    border-radius: 4px;
    background-color: white;
    /* box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px; */
    line-height: 1;
    align-items: center;
}
.btnAction:hover {
    background-color: rgb(27, 31, 35, 0.15);
}
.btn {
    width: 19px;
    height: 19px;
}
.doc-info {
    color: #333!important;
    font-family: Inter, Sarabun!important;
    width: max-content!important;
    font-size: 24px!important;
    font-weight: bold;
    /* padding-bottom: 6px; */
}
.doc-sub-info {
    color: #6c757d!important;
    font-family: Inter, Sarabun!important;
    width: max-content!important;
    font-size: 18px!important;
    font-weight: 300;
    padding-bottom: 12px;
}

.swal2-container, .swal2-container button, .swal2-select, .swal2-input {
    font-family: Inter, Sarabun!important;
}
.swal2-select {
    cursor: pointer!important;
}

.badge-label {
    font-family: Inter, Sarabun!important;
    font-size: 16px;
    border-radius: 50px;
    padding: 5px 12px;
    color: var(--blue);
    border: 1px solid var(--blue);
    font-weight: normal;
    cursor: pointer;
}
.badge-label:hover {
    background-color: var(--blue);
    color: var(--white);
}

fieldset {
    width: 100%;
    border-radius: 4px;
    border: 1px solid #767676;
    font-family: Arial;
    font-size: 14px;
    padding-bottom: 2px;
}
legend {
    margin-left: 6px;
    font-size: 12px;
    padding: 0 2px;
    color: var(--secondary);
}
.radio-item {
    display: flex;
    align-content: center;
    align-items: center;
    margin-left: 6px;
}
.radio-item label {
    padding-left: 6px;
}
.radio-item label, .radio-item input {
    cursor: pointer;
}

.select-item {
    justify-self: center;
    width: 80px;
    font-size: 14px;
}
.select-item select {
    font-family: Inter, Sarabun!important;
    width: 100%;
    margin: 3px 0px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
    font-size: 14px;
}

.d-none {
    display:none!important;
}

.menuBtn {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0 4px;
    border: 0;
    font-weight: bold;
}

.menuTxt {
    font-family: Arial;
    color: var(--gray);
    font-weight: bold;
    font-size: 16px;
    flex: 1;
}

.menuBtn:hover, .menuTxt:hover {
    color: var(--primary)!important;
}

.addContract {
    font-family: Inter, Sarabun!important;
    font-size: 12px;
    text-decoration: none;
    color: blue;
    cursor: pointer;
}


div:where(.swal2-container) .swal2-select {
    border-radius: 4px;
}
.swal2-select {
    cursor: pointer!important;
}
.swal2-html-container {
    display: flex!important;
    justify-content: flex-start!important;
    flex-direction: column!important;
    font-size: 16px!important;
}
.swal2-html-container input,
.swal2-html-container textarea {
    margin: 6px!important;
    font-size: 16px!important;
}

.swal-html-item {
    display: flex;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
}

.swal-html-item span {
    width: 120px;
    text-align: left;
    color: var(--gray);
}

.swal2-html-container input[type="date"] {
    cursor: pointer;
} 
.swal2-html-container input[type="date"]::-webkit-calendar-picker-indicator {
    cursor: pointer;
}

.a-card:hover {
    background-color: var(--lightgray);
}

.flex-1 {
    flex: 1!important;
}